Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css	(revision 6954)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css	(revision 6958)
@@ -559,5 +559,9 @@
 .div-addtask #calendar_addtask_details1 .calendar_addevent_details_lnk_timezone { margin: 0 0 0 20px;}
 .div-addtask #calendar_addtask_details1 .subitem .done { width: 45px;}
-.div-addtask #calendar_addtask_details1 .ui-spinner-buttons{ top: -14px !important;}
+
+@-moz-document url-prefix() {.div-addtask #calendar_addtask_details1 .ui-spinner-buttons{ top: -14px !important;}}
+
+@media screen and (-webkit-min-device-pixel-ratio:0){.div-addtask #calendar_addtask_details1 .ui-spinner-buttons{ top: -2px !important;}}
+
 .div-addtask #calendar_addtask_details1 .ui-spinner-buttons .ui-spinner-up{height: 7px !important;}
 .div-addtask #calendar_addtask_details1 .ui-spinner-buttons .ui-spinner-down{height: 8px !important;}
@@ -577,5 +581,4 @@
 .div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each:hover { background: #FFF2F2; cursor: pointer;}
 
-
 .div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each .date-hour { width: 30%; float: left; height: 30px}
 .div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each .date-hour span { margin: 8px; float: left; }
@@ -583,5 +586,4 @@
 .div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each .organization span{ margin: 8px; float: left; }
 
-
 .div-addtask  #calendar_addtask_details8 .parent .child-top .date-hour { width: 29%; float: left; background: #E8F4FD; height: 30px; }
 .div-addtask  #calendar_addtask_details8 .parent .child-top .date-hour span{ margin: 8px; float: left; font-weight: bold; color: #2E6E9E; }
@@ -594,6 +596,6 @@
 .div-addactivity #group_addactivity_details1 .h1{ width: 100%;}
 .div-addactivity #group_addactivity_details2 textarea { width: 635px; }
-.div-addactivity #group_addactivity_details1 .time-previsao { width: 40px; }
-.div-addactivity #group_addactivity_details1 .date-previsao{ width: 80px; }
+.div-addactivity #group_addactivity_details1 .time-due { width: 40px; }
+.div-addactivity #group_addactivity_details1 .date-due{ width: 80px; }
 
 .div-addactivity #group_addactivity_details1 .start-time{ width: 40px; }
@@ -601,5 +603,5 @@
 .div-addactivity #group_addactivity_details1 .end-time{ width: 40px; }
 .div-addactivity #group_addactivity_details1 .end-date{ width: 80px; }
-.div-addactivity #group_addactivity_details1 .previsao-termino { margin: 0 0 0 50px; }
+.div-addactivity #group_addactivity_details1 .previsao-termino { margin: 0 0 0 30px; }
 .div-addactivity #group_addactivity_details1 .subitem { margin: 5px; display: block;}
 .div-addactivity #group_addactivity_details1 .subitem .span_done{ margin: 0 30px;}
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/activity.helpers.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/activity.helpers.js	(revision 6954)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/activity.helpers.js	(revision 6958)
@@ -371,6 +371,8 @@
 todoStatus('addActivity', (objActivity.activityStatus != undefined) ? objActivity.activityStatus : 1);
 
+UI.dialogs.addActivity.find('select[name="activityStatus"]').attr('disabled', 'disabled');
+
 // ==== validation events ====
-UI.dialogs.addActivity.find(".input-group .h1").Watermark("Atividade sem tÃ­tulo");
+UI.dialogs.addActivity.find(".input-group .h1").Watermark("Atividade sem título");
 
 UI.dialogs.addActivity.find(".number").numeric();
@@ -420,4 +422,5 @@
     }
     */
+	UI.dialogs.addActivity.find('select[name="activityStatus"]').removeAttr('disabled');
     canDiscardActivityDialog = true;
 			
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/activity_add.ejs
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/activity_add.ejs	(revision 6954)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/activity_add.ejs	(revision 6958)
@@ -15,13 +15,13 @@
 		</p>
 		<p class="input-group date-info">
-			<input type="text" class="date start-date" value="<%= (data.activity.startDate) ? data.activity.startDate : '' %>" name="startDate" />
-			<input type="text" class="time start-time<%= (data.activity.allDay) ? ' hidden' : '' %>" value="<%= (data.activity.startHour) ? data.activity.startHour : '' %>" name="startHour" /> 
+			<input type="text" class="start-date" readonly="readonly" value="<%= (data.activity.startDate) ? data.activity.startDate : '' %>" name="startDate" />
+			<input type="text" class="time start-time<%= (data.activity.allDay) ? ' hidden' : '' %>" readonly="readonly" value="<%= (data.activity.startHour) ? data.activity.startHour : '' %>" name="startHour" /> 
 			<span>até</span>
-			<input type="text" class="date end-date" value="<%= (data.activity.endDate) ? data.activity.endDate : '' %>" name="endDate" />
-			<input type="text" class="time end-time<%= (data.activity.allDay) ? ' hidden' : '' %>" value="<%= (data.activity.endHour) ? data.activity.endHour : '' %>" name="endHour" />
+			<input type="text" class="end-date" readonly="readonly" value="<%= (data.activity.endDate) ? data.activity.endDate : '' %>" name="endDate" />
+			<input type="text" class="time end-time<%= (data.activity.allDay) ? ' hidden' : '' %>" readonly="readonly" value="<%= (data.activity.endHour) ? data.activity.endHour : '' %>" name="endHour" />
 
 				<span class="previsao-termino">Previsão término:</span>
-				<input type="text" class="date date-due" name="dueDate">
-				<input type="text" class="time time-due" name="dueHour">
+				<input type="text" class="date-due" name="dueDate" readonly="readonly">
+				<input type="text" class="time time-due" name="dueHour" readonly="readonly">
 
 				<a href="#" class="group_addactivity_details_lnk_timezone">Fuso horário</a>
@@ -50,7 +50,7 @@
 		</p>
 		<div class="subitem">
-                % Conclusão: <input type="number" name="percentage" class="done" value="<%= data.activity.percentage %>"> 
+                % Conclusão: <input type="number" name="percentage" class="done" readonly="readonly" value="<%= data.activity.percentage %>"> 
                 <span style="margin:0 0 0 5px;">Status:<span> 
-                <select name="activityStatus" style="margin: 0 0 0 5px;">
+                <select name="activityStatus" >
                     <option <%= (data.activity.activityStatus == '1') ? 'selected="selected"' : '' %> value="1">Sem ações</option>
                     <option <%= (data.activity.activityStatus == '2') ? 'selected="selected"' : '' %> value="2">Em Processo</option>
@@ -58,5 +58,5 @@
                     <option <%= (data.activity.activityStatus == '4') ? 'selected="selected"' : '' %> value="4">Cancelada</option>
                 </select>
-                <span style="margin:0 0 0 5px;">Prioridade<span> 
+                <span style="margin:0 0 0 5px;">Prioridade:<span> 
                 <select name="priority">
                     <option <%= (data.activity.priority == '1') ? 'selected="selected"' : '' %> value="1">Alta</option>