Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_add.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_add.ejs	(revision 6951)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_add.ejs	(revision 6965)
@@ -54,6 +54,6 @@
 		</p>
 		<div class="subitem">
-				% Conclusão: <input type="text" name="percentage" class="done" value="<%= data.task.percentage %>"></input> 
-				<span style="margin:0 0 0 5px;">Status:<span> 
+				% Conclusão: <input type="text" name="percentage" class="done" value="<%= data.task.percentage %>">
+				<span style="margin:0 0 0 5px;">Status:</span> 
                 <select name="taskStatus" style="margin: 0 0 0 5px;">
                     <option class="taskStatus-noAction"<%= (data.task.taskStatus == '1') ? 'selected="selected"' : '' %> value="1">Sem ações</option>
@@ -62,5 +62,5 @@
 					<option class="taskStatus-canceled"<%= (data.task.taskStatus == '4') ? 'selected="selected"' : '' %> value="4">Cancelada</option>
 				</select>
-				<span style="margin:0 0 0 5px;">Prioridade:<span> 
+				<span style="margin:0 0 0 5px;">Prioridade:</span> 
 				<select name="priority">
 					<option <%= (data.task.priority == '1') ? 'selected="selected"' : '' %> value="1">Alta</option>
@@ -91,10 +91,12 @@
 				<select  name="group" >
 					<% 
-					  for (var i=0; i< data.task.groups.length; i++) {
+					  if(data.task.groups){
+					    for (var i=0; i< data.task.groups.length; i++) {
 					%>
 					      <option value="<%= data.task.groups[i].id %>" <%= data.task.groups[i].id == data.task.group ? 'selected="selected"':'' %>>
 					      <%= data.task.groups[i].name %>
 					      </option>
-					<% } %>
+					<%  }
+					  } %>
 				</select>
 		</p>
@@ -172,10 +174,16 @@
 
 			<div class="child-bottom">
-			    <% for(var i=0; i< data.task.historic.length; i++){ %>
+			
+		
+			    <% 
+				if(data.task.historic){
+					for(var i=0; i< data.task.historic.length; i++){ %>
 				<div class="child-bottom-each">
 				    <div class="date-hour"><span><%= data.task.historic[i].date %></span></div>
 				    <div class="organization"><span><%= data.task.historic[i].description %></span></div>
 				</div>
-			    <% } %>
+			    <% 	}	
+				}				
+				%>
 			</div>
 
Index: sandbox/2.4.2-expresso1/expressoMail1_2/index.php
===================================================================
--- sandbox/2.4.2-expresso1/expressoMail1_2/index.php	(revision 6768)
+++ sandbox/2.4.2-expresso1/expressoMail1_2/index.php	(revision 6965)
@@ -23,7 +23,10 @@
 	echo "<script src='js/modal/modal.js'></script>";
 	//jquery and Editor 
-	echo ' 			
+	echo ' 
 		<link rel="stylesheet" type="text/css" href="templates/default/main.css"></link>
+		
 		<link rel="stylesheet" type="text/css" href="../phpgwapi/js/dftree/dftree.css"></link>
+		
+		<link rel="stylesheet" type="text/css" href="../prototype/plugins/jquery.spinner/jquery.spinner.css"></link>
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.css"></link>
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.print.css"></link>
@@ -32,4 +35,5 @@
 		<script type="text/javascript" src="../prototype/plugins/jquery/jquery.min.js"></script>
 		<link href="../prototype/modules/filters/filters.css" rel="stylesheet" type="text/css">
+		
 		<script type="text/javascript" src="../prototype/plugins/jquery/jquery-ui.min.js"></script>
 		<script src="../prototype/plugins/json2/json2.js" language="javascript"></script>
Index: sandbox/2.4.2-expresso1/expressoMail1_2/templates/default/main.css
===================================================================
--- sandbox/2.4.2-expresso1/expressoMail1_2/templates/default/main.css	(revision 6751)
+++ sandbox/2.4.2-expresso1/expressoMail1_2/templates/default/main.css	(revision 6965)
@@ -896,5 +896,4 @@
 
 
-
 /*
  * Este arquivo limpa o estilo para a nova agenda, .new-event-win.active sobrescrevendo o código CSS
@@ -926,13 +925,13 @@
 /*	font-family: Arial,Helvetica,sans-serif;*/
 /*}*/
-.new-event-win.active:focus {
+.new-event-win.active:focus, .new-task-win.active:focus {
 	outline: 0;
 }
-.new-event-win.active body {
+.new-event-win.active body , .new-task-win.active body {
 	line-height: 1;
 	color: black;
 	background: white;
 }
-.new-event-win.active ol, .new-event-win.active ul {
+.new-event-win.active ol, .new-event-win.active ul , .new-task-win.active ol, .new-task-win.active ul {
 	list-style: none;
 	list-style-image : none;
@@ -940,40 +939,50 @@
 }
 
-.new-event-win.active table {
+.new-event-win.active table , .new-task-win.active table {
 	border-collapse: separate;
 	border-spacing: 0;
 }
-.new-event-win.active caption, .new-event-win.active th, .new-event-win.active td {
+.new-event-win.active caption, .new-event-win.active th, .new-event-win.active td, .new-task-win.active caption, .new-task-win.active th, .new-task-win.active td {
 	/*text-align: left;*/
 	font-weight: normal;
 }
 .new-event-win.active blockquote:before, .new-event-win.active blockquote:after,
-.new-event-win.active q:before, .new-event-win.active q:after {
+.new-event-win.active q:before, .new-event-win.active q:after,
+.new-task-win.active blockquote:before, .new-task-win.active blockquote:after,
+.new-task-win.active q:before, .new-task-win.active q:after {
 	content: "";
 }
-.new-event-win.active blockquote, .new-event-win.active q {
+.new-event-win.active blockquote, .new-event-win.active q ,
+.new-task-win.active blockquote, .new-task-win.active q 
+{
 	quotes: "" "";
 }
-.new-event-win.active .mail.name-special, .new-event-win.active .name.name-special{
+.new-event-win.active .mail.name-special, .new-event-win.active .name.name-special,
+.new-task-win.active .mail.name-special, .new-task-win.active .name.name-special
+{
   padding: 0 0 0 35px;
 }
 
-.new-event-win.active .add-attendee-search.search-field {
+.new-event-win.active .add-attendee-search.search-field ,
+.new-task-win.active .add-attendee-search.search-field 
+{
   width: 249px;
  }
  
- .new-event-win.active #calendar_addevent_details4 {
+ .new-event-win.active #calendar_addevent_details4, .new-task-win.active #calendar_addtask _details4 {
   margin: 10px 0 0 0;
  } 
  
- .new-event-win.active input{
+ .new-event-win.active input, .new-task-win.active input{
   color: #000;
  } 
  
- .new-event-win.active #calendar_addevent_details5 {
+ .new-event-win.active #calendar_addevent_details5 , .new-task-win.active #calendar_addtask_details5 {
   margin: 10px 0 11px 0;
  }
 
-.new-event-win.active select {
+ .new-event-win fieldset.tab-level2, .new-task-win fieldset.tab-level2 { padding: 0px 5px; min-height: 110px; max-height: 310px; overflow: hidden;}
+ 
+.new-event-win.active select , .new-task-win.active select {
     border: 1px solid #CFCFCF;
     border-color: #CFCFCF;
@@ -981,9 +990,14 @@
     background-color: #FFF;
 }
-.new-event-win.active a:link, .new-event-win.active a:visited {
+.new-event-win.active a:link, .new-event-win.active a:visited 
+.new-task-win.active a:link, .new-task-win.active a:visited
+{
+
     color: #2E6E9E;
 }
 
-.new-event-win.active  dd, .new-event-win.active  dl, .new-event-win.active  dt{
+.new-event-win.active  dd, .new-event-win.active  dl, .new-event-win.active  dt, 
+.new-task-win.active  dd, .new-task-win.active  dl, .new-task-win.active  dt
+{
 	margin: 0;
 }
@@ -999,5 +1013,7 @@
 { color: #ff9933; }*/
 
-.new-event-win.active #divAppbox{
+.new-event-win.active #divAppbox
+.new-task-win.active #divAppbox
+{
 	overflow-x: auto;
 	overflow-y: scroll;
@@ -1005,4 +1021,5 @@
 
 .new-event-win.active select
+.new-task-win.active select
 { border-color: #CFCFCF; color: #555; padding-left:0px;}
 
@@ -1010,13 +1027,4 @@
 	padding: 0;
 	border: 0;
-}
-
-.qtip.qtip-blue.qtip-active ul {
-	padding: 0;
-}
-
-.qtip.qtip-blue.qtip-active li {
-	width: 160px;
-	list-style: none;
 }
 
@@ -1058,10 +1066,13 @@
 }
 
-div.new-event-win.active div.button-files-upload{
-    margin: 15px 0 0 0;
-}
-
-div.new-event-win.active div.files-list{
-    margin: 45px 0 0 0;
+.new-task-win dl.block-add-attendee{
+	width: 350px;
+}
+.new-task-win.active .add-attendee-search.search-field{
+	width: 322px;
+}
+
+.new-task-win .menu-container.footer-container{
+	width: 774px;
 }
 
@@ -1177,5 +1188,4 @@
 	border-top: 0px;
 }*/
-
 
 
@@ -1419,2 +1429,61 @@
 div.gray li a.button.delete{float: right;}
 
+
+.div-addtask #calendar_addtask_details1 .h1{
+  width: 100%;
+}
+
+.div-addtask #calendar_addtask_details2 textarea {
+  width: 670px;
+}
+
+.div-addtask{
+  width: 760px;
+}
+
+.calendar-addevent-details-txt-timezone, .calendar-addtask-details-txt-timezone{width: 227px;} 
+
+.div-addtask #calendar_addtask_details1 .time-previsao { width: 40px; }
+
+.div-addtask #calendar_addtask_details1 .date-previsao{ width: 80px; }
+
+.div-addtask #calendar_addtask_details6{ width: 756px; }
+.div-addtask #calendar_addtask_details1 .start-time{ width: 40px; }
+.div-addtask #calendar_addtask_details1 .start-date{ width: 80px; }
+.div-addtask #calendar_addtask_details1 .end-time{ width: 40px; }
+.div-addtask #calendar_addtask_details1 .end-date{ width: 80px; }
+.div-addtask #calendar_addtask_details1 .previsao-termino { margin: 0 0 0 50px; }
+.div-addtask #calendar_addtask_details1 .subitem { margin: 5px; display: block;}
+.div-addtask #calendar_addtask_details1 .subitem .span_done{ margin: 0 30px;}
+.div-addtask #calendar_addtask_details1 .subitem .span_done img{position: relative; top:4px; width:16px; height:16px;}
+.div-addtask #calendar_addtask_details1 .calendar_addevent_details_lnk_timezone { margin: 0 0 0 20px;}
+.div-addtask #calendar_addtask_details1 .subitem .done { width: 45px;}
+.div-addtask #calendar_addtask_details1 .ui-spinner-buttons{ top: -2px !important;}
+.div-addtask #calendar_addtask_details1 .ui-spinner-buttons .ui-spinner-up{height: 7px !important;}
+.div-addtask #calendar_addtask_details1 .ui-spinner-buttons .ui-spinner-down{height: 8px !important;}
+
+.div-addtask #calendar_addtask_details1 .subitem .span_done.noAction{background-image: url("../img/gray.png"); background-repeat: no-repeat; }
+.div-addtask #calendar_addtask_details1 .subitem .span_done.inProcess{background-image: url("../img/yellow.png"); background-repeat: no-repeat;}
+.div-addtask #calendar_addtask_details1 .subitem .span_done.finished{background-image: url("../img/green.png"); background-repeat: no-repeat;}
+.div-addtask #calendar_addtask_details1 .subitem .span_done.canceled{background-image: url("../img/red.png"); background-repeat: no-repeat;}
+.div-addtask #calendar_addtask_details1 .subitem .span_done label{position: relative; left: 28px;}
+
+.div-addtask fieldset#calendar_addtask_details5.tab-level2{ margin: 0 }
+
+.div-addtask  #calendar_addtask_details8 .parent {width: 715px; min-height: 208px; float: left;}
+.div-addtask  #calendar_addtask_details8 .parent .child-top {width: 745px; height: 30px; background: #E8F4FD; border-left: 1px solid #CCC; border-right: 1px solid #CCC; border-bottom: 1px solid #CCC;}
+.div-addtask  #calendar_addtask_details8 .parent .child-bottom {width: 745px; height: 208px; overflow: auto;  float: left; border-left: 1px solid #CCC; border-right: 1px solid #CCC; border-bottom: 1px solid #CCC;}
+.div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each { height: 30px; }
+.div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each:hover { background: #FFF2F2; cursor: pointer;}
+
+
+.div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each .date-hour { width: 30%; float: left; height: 30px}
+.div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each .date-hour span { margin: 8px; float: left; }
+.div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each .organization{ width: 69%; float: left;  height: 30px; border-left: 1px solid #CCC; }
+.div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each .organization span{ margin: 8px; float: left; }
+
+
+.div-addtask  #calendar_addtask_details8 .parent .child-top .date-hour { width: 29%; float: left; background: #E8F4FD; height: 30px; }
+.div-addtask  #calendar_addtask_details8 .parent .child-top .date-hour span{ margin: 8px; float: left; font-weight: bold; color: #2E6E9E; }
+.div-addtask  #calendar_addtask_details8 .parent .child-top .organization { width: 70%; float: left; background: #E8F4FD; height: 30px; border-left: 1px solid #CCC; font-weight: bold; color: #2E6E9E; }
+.div-addtask  #calendar_addtask_details8 .parent .child-top .organization span{margin: 8px; float: left; }
Index: sandbox/2.4.2-expresso1/expressoMail1_2/js/main.js
===================================================================
--- sandbox/2.4.2-expresso1/expressoMail1_2/js/main.js	(revision 6891)
+++ sandbox/2.4.2-expresso1/expressoMail1_2/js/main.js	(revision 6965)
@@ -1,4 +1,5 @@
 // Tempo do auto refresh (em milisegundos)
-var time_refresh = 300000;
+//var time_refresh = 300000;
+var time_refresh = 30000;
 
 // tempo do auto save (em milisegundos)
@@ -587,7 +588,12 @@
 	getFromAlertRules();
 	var handler_refresh = function(data){
-		handlerMessageFilter = function (data) {				
-		    notificationFilter(data, notifyPermission);
-		    alarmFollowupflagged('filtersAlarms', data);	
+		handlerMessageFilter = function (data) {			
+			if(checkAlarmsFilter){
+				alarmFollowupflagged('filtersAlarms', data);
+			}
+			notificationFilter(data, notifyPermission);
+			
+			checkAlarmsFilter = true;
+			
 		}
 		/* Busca  nas pastas indexadas para ver se há novas mensagens com a flag $FilteredMessage */
@@ -3852,4 +3858,116 @@
 }
 
+//Normalização dos dados evita ter que reemplementar toda as funcionalidades do calendar
+function decodeCreateSchedulable(type, ID){
+	var startEvent = new Date();  
+	if(startEvent.toString('mm') < 30) 
+		startEvent.add({minutes: (30 - parseInt(startEvent.toString('mm')))}); 
+	else 
+		startEvent.add({hours: 1, minutes: '-'+startEvent.toString('mm')}); 
+	var endEvent = function(date){ 
+	if(!!User.preferences.defaultCalendar){ 
+		return  new Date(parseInt(date.getTime()) + 
+			(!!Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration ?  
+			(Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration * 60000) :
+			(User.preferences.defaultDuration * 60000)
+		));
+	}else 
+		return new Date(parseInt(date.getTime()) + (User.preferences.defaultDuration * 60000)); 
+	};       
+
+	var emails = $("#to_values_"+ID).val().split(',');
+	
+	var schedulable = {};
+	
+	schedulable = { 
+		acl: {inviteGuests: true, organization: true ,participationRequired: false, read: true, write: true},
+		alarms: [],
+		allDay: false,
+		attachments: [],
+		isAttendee: true,
+		attendee: '',//TODOOOOOO,
+		category: '',
+		'class': '1',
+		delegatedFrom: {},
+		endDate: startEvent.toString(User.preferences.dateFormat),
+		startDate: endEvent(startEvent).toString(User.preferences.dateFormat),
+		startHour: startEvent.toString(User.preferences.hourFormat),
+		endHour: endEvent(startEvent).toString(User.preferences.hourFormat),
+		timezone: User.preferences.defaultCalendar ? Calendar.signatureOf[User.preferences.defaultCalendar].calendar.timezone : User.preferences.timezone,
+		summary : $("#subject_"+ID).text(),
+		description : $("#body_" + ID).text(),
+		startTime: startEvent.getTime(),
+		endTime: endEvent(startEvent),
+		timezones: Timezone.timezones,
+		me: {name: User.me.name, mail: User.me.mail, acl: 'rowi', status: '1', delegatedFrom: '0', id: User.me.id},
+		organizer: {name: User.me.name, mail: User.me.mail, acl: 'rowi', status: '1', delegatedFrom: '0' , id: User.me.id},
+		statusParticipants: {accepted: 0, cancelled: 0, tentative: 0, unanswered:emails.length},
+		location: '',
+		attendee: $.map(emails, function( mail ){			
+			var contact = false;
+			var decoded =  Encoder.htmlDecode(mail);
+			var newAttendeeName = "";
+
+			var name = decoded.match(/"([^"]*)"/) ? decoded.match(/"([^"]*)"/)[1] : '';
+			var mail = decoded.match(/<([^<]*)>[\s]*$/) ? decoded.match(/<([^<]*)>[\s]*$/)[1].toLowerCase() : decoded; 
+
+
+			var user = DataLayer.get('user', ["=", "mail", mail], true);
+			
+			if( $.type(user) == "array" )
+				user = user[0];
+
+			if(user != ''){
+				//user = {name : name , mail : mail};
+				if(User.me.mail == user.mail)
+					return(null);
+				user.isExternal = (!!user && !(!!user.isExternal)) ? 0 : 1;
+
+				return  DataLayer.merge({
+					name: user.name,
+					mail: user.mail,
+					acl:  'r',
+					delegatedFrom: '0',
+					status: '4',
+					isExternal: user.isExternal
+				}, !!user.id ? {id : DataLayer.put('participant', {user: user.id, isExternal: user.isExternal})} : {id: DataLayer.put('participant', {user: user})}); 
+			}else if(mail.match(/[\w-]+(\.[\w-]+)*@(([A-Za-z\d][A-Za-z\d-]{0,61}[A-Za-z\d]\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])/)){
+				
+				var userId = DataLayer.put('user', {
+				name: name, 
+				mail: mail, 
+				isExternal: '1'
+				});
+				var newAttendeeId = DataLayer.put('participant', {
+				user: userId, 
+				isExternal: '1'
+				});
+
+				return  {
+					id: newAttendeeId,
+					name: name,
+					mail: mail,
+					acl:  'r',
+					delegatedFrom: '0',
+					status: '4',
+					isExternal: '1'
+				};
+				
+			}else
+				return (null);
+		})
+	};
+
+	schedulable  = DataLayer.merge(schedulable, 
+		type == 'event' ? 
+		{calendar: User.preferences.defaultCalendar ? User.preferences.defaultCalendar : Calendar.calendars[0], calendars: Calendar.calendars}
+		: {group: Calendar.groups[0].id, groups: Calendar.groups}
+	);
+	
+	return schedulable;
+	    
+
+}
+
 function import_implements_calendar(){
 
@@ -3865,7 +3983,9 @@
 		$.ajax({url: "../prototype/modules/calendar/js/map.disponibility.js", async: false, beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
 		$.ajax({url: "../prototype/modules/calendar/js/helpers.js", async: false, beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
+		$.ajax({url: "../prototype/modules/calendar/js/task.helpers.js", async: false, beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
 		//$.ajax({ url: "../prototype/modules/calendar/js/timezone.js", async: false});
 		//$.ajax({ url: "../prototype/modules/calendar/js/calendar.codecs.js", async: false});
 		$.ajax({url: "../prototype/plugins/encoder/encoder.js", async: false, beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
+		$.ajax({url: "../prototype/plugins/jquery.spinner/jquery.spinner.min.js", async: false, beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
 		//$.ajax({url: "../prototype/plugins/dateFormat/dateFormat.js", async: false, beforeSend: function( xhr ) { xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
 
Index: sandbox/2.4.2-expresso1/expressoMail1_2/js/draw_api.js
===================================================================
--- sandbox/2.4.2-expresso1/expressoMail1_2/js/draw_api.js	(revision 6934)
+++ sandbox/2.4.2-expresso1/expressoMail1_2/js/draw_api.js	(revision 6965)
@@ -2994,5 +2994,10 @@
 		});
 		new_task_logo.onclick = function(){
-			alert(1);
+		import_implements_calendar();
+		
+		
+			DataLayer.dispatchPath = "../prototype/";
+			var path = "../prototype/modules/calendar/";
+			taskDetails(decodeCreateSchedulable('task', ID), true, path, true);
 		}
 		
@@ -3014,107 +3019,6 @@
 			DataLayer.dispatchPath = "../prototype/";
 			var path = "../prototype/modules/calendar/";
-			
-			var startEvent = new Date();  
-			if(startEvent.toString('mm') < 30) 
-				startEvent.add({minutes: (30 - parseInt(startEvent.toString('mm')))}); 
-			else 
-				startEvent.add({hours: 1, minutes: '-'+startEvent.toString('mm')}); 
-			var endEvent = function(date){ 
-				if(!!User.preferences.defaultCalendar){ 
-					return  new Date(parseInt(date.getTime()) + 
-						    (!!Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration ?  
-							(Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration * 60000) :
-							(User.preferences.defaultDuration * 60000)
-						));
-				}else 
-					return new Date(parseInt(date.getTime()) + (User.preferences.defaultDuration * 60000)); 
-			};       
-
-			var emails = $("#to_values_"+ID).val().split(',');
-			
-			
-			//Normalização dos dados evita ter que reemplementar toda as funcionalidades do calendar
-			eventDetails({ 
-					
-					acl: {inviteGuests: true, organization: true ,participationRequired: false, read: true, write: true},
-					alarms: [],
-					allDay: false,
-					attachments: [],
-					isAttendee: true,
-					attendee: '',//TODOOOOOO,
-					calendar: User.preferences.defaultCalendar ? User.preferences.defaultCalendar : Calendar.calendars[0],
-					calendars: Calendar.calendars,
-					category: '',
-					'class': '1',
-					delegatedFrom: {},
-					endDate: startEvent.toString(User.preferences.dateFormat),
-					startDate: endEvent(startEvent).toString(User.preferences.dateFormat),
-					startHour: startEvent.toString(User.preferences.hourFormat),
-					endHour: endEvent(startEvent).toString(User.preferences.hourFormat),
-					timezone: User.preferences.defaultCalendar ? Calendar.signatureOf[User.preferences.defaultCalendar].calendar.timezone : User.preferences.timezone,
-					summary : $("#subject_"+ID).text(),
-					description : $("#body_" + ID).text(),
-					startTime: startEvent.getTime(),
-					endTime: endEvent(startEvent),
-					timezones: Timezone.timezones,
-					me: {name: User.me.name, mail: User.me.mail, acl: 'rowi', status: '1', delegatedFrom: '0', id: User.me.id},
-					organizer: {name: User.me.name, mail: User.me.mail, acl: 'rowi', status: '1', delegatedFrom: '0' , id: User.me.id},
-					statusParticipants: {accepted: 0, cancelled: 0, tentative: 0, unanswered:emails.length},
-					location: '',
-					attendee: $.map(emails, function( mail ){			
-						var contact = false;
-						var decoded =  Encoder.htmlDecode(mail);
-						var newAttendeeName = "";
-
-						var name = decoded.match(/"([^"]*)"/) ? decoded.match(/"([^"]*)"/)[1] : '';
-						var mail = decoded.match(/<([^<]*)>[\s]*$/) ? decoded.match(/<([^<]*)>[\s]*$/)[1].toLowerCase() : decoded; 
-
-
-						var user = DataLayer.get('user', ["=", "mail", mail], true);
-						
-						if( $.type(user) == "array")
-						    user = user[0];
-
-						if(user != ''){
-						    //user = {name : name , mail : mail};
-						    if(User.me.mail == user.mail)
-							    return(null);
-						    user.isExternal = (!!user && !(!!user.isExternal)) ? 0 : 1;
-
-						    return  DataLayer.merge({
-							    name: user.name,
-							    mail: user.mail,
-							    acl:  'r',
-							    delegatedFrom: '0',
-							    status: '4',
-							    isExternal: user.isExternal
-						    }, !!user.id ? {id : DataLayer.put('participant', {user: user.id, isExternal: user.isExternal})} : {id: DataLayer.put('participant', {user: user})}); 
-						}else if(mail.match(/[\w-]+(\.[\w-]+)*@(([A-Za-z\d][A-Za-z\d-]{0,61}[A-Za-z\d]\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])/)){
-						    
-						    var userId = DataLayer.put('user', {
-							name: name, 
-							mail: mail, 
-							isExternal: '1'
-						    });
-						    var newAttendeeId = DataLayer.put('participant', {
-							user: userId, 
-							isExternal: '1'
-						    });
-
-						    return  {
-							    id: newAttendeeId,
-							    name: name,
-							    mail: mail,
-							    acl:  'r',
-							    delegatedFrom: '0',
-							    status: '4',
-							    isExternal: '1'
-						    };
-						    
-						}else
-						    return (null);
-					})	
-					
-			}, true, path, true);
+
+			eventDetails(decodeCreateSchedulable('event', ID), true, path, true);
 		}
 		subject.appendChild(new_event_logo);